#!/bin/sh
#------------------------------------------------------------------------------
# Copyright (c) 2012 Perforce Software, Inc.  Provided for use as defined in
# the Perforce Consulting Services Agreement.
#------------------------------------------------------------------------------

unset P4CONFIG
export P4PORT=8674
export P4DBIN=$(which p4d 2>/dev/null)
export P4ROOT=$PWD/p4root
export P4USER=p4import

if [[ -z "$P4DBIN" ]]; then
   echo -e "\nError: Can't find p4d on PATH!\n"
   exit 1
fi

export mode=${1:-regular}

[[ ! -d "$P4ROOT" ]] && mode=reset

if [[ $mode == "reset" ]]; then
   echo "Resetting."
	 p4 admin stop > /dev/null 2>&1
	 sleep 1
	 /bin/rm -rf p4root
	 mkdir p4root
fi

echo "Starting p4d."

$P4DBIN -r $P4ROOT -p $P4PORT -v server=4 -In master -Id "Master server." -q -d -L log -J journal -A audit

if [[ $mode == "reset" ]]; then

   echo -e "Loading static Perforce data (depot spec, clients, etc.).\n"
   
   echo -e "Depot:\tImportTest\n\nOwner:\tp4import\n\nDescription:\n\tCreated by p4import.\n\nType:\tlocal\n\nMap:\tImportTest/...\n\n" | p4 depot -i
	 echo -e "Client:\tp4import_ws\n\nOwner:\tp4import\n\nDescription:\n\tCreated by p4import.\n\nRoot:\t$PWD/ws\n\nOptions:\tnoallwrite clobber nocompress unlocked modtime rmdir\n\nSubmitOptions:\tsubmitunchanged\n\nLineEnd:\tlocal\n\nView:\n\t//ImportTest/... //p4import_ws/...\n\n" | p4 client -i

fi
